#ifndef CompileOptions_h
#define CompileOptions_h

// Arduino internal options

// External modules
#define SD_MODULE_PRESENT 1 // SD Card module present
#define BLUETOOTH_PRESENT 0 // Enables packets forwarding (sending and receiving) through SW Serial, in case FUELINO_HW_VERSION>=2, and a Bluetoooth (or Wifi module) is connected on SWseriale

// Main Loop execution time
#define LOOP_MIN_EXEC_TIME 25 // Main Loop minimum execution time [ms]

#endif